improved support for BSDI BSD/OS

git-svn: trunk@1149
remotes/push_mirror/metadata
Tomasz Kojm 21 years ago
parent 121ec5117d
commit e7fe9178b0
  1. 13
      clamav-devel/ChangeLog
  2. 3
      clamav-devel/clamav-config.h.in
  3. 88
      clamav-devel/configure
  4. 25
      clamav-devel/configure.in
  5. 12
      clamav-devel/libclamav/Makefile.in
  6. 1
      clamav-devel/libclamav/chmunpack.c
  7. 10
      clamav-devel/libclamav/cltypes.h

@ -1,3 +1,8 @@
Tue Nov 30 16:47:54 CET 2004 (tk)
---------------------------------
* improved support for BSDI BSD/OS (access to test environment provided by
David Wu <dyw*iohk.com>)
Tue Nov 30 12:06:12 GMT 2004 (njh)
----------------------------------
* libclamav/message.c: Better handling for unbalanced quotes in
@ -5,17 +10,17 @@ Tue Nov 30 12:06:12 GMT 2004 (njh)
Mon Nov 29 13:25:25 GMT 2004 (njh)
----------------------------------
* libclamav/blob.c: Fix potential crash if a temporary file can't be
* libclamav/blob.c: Fix potential crash if a temporary file can't be
created
libclamav/mbox.c: Disable the old continuation marker detection scheme
* libclamav/mbox.c: Disable the old continuation marker detection scheme
Mon Nov 29 00:23:55 CET 2004 (tk)
---------------------------------
* clamdscan: add support for --move and --remove options
* clamdscan: add support for --move and --remove options
Sun Nov 28 21:08:44 GMT 2004 (njh)
----------------------------------
* libclamav: Email headers of only white space are no longer treated as
* libclamav: Email headers of only white space are no longer treated as
the end of the headers
Sun Nov 28 16:30:18 GMT 2004 (njh)

@ -261,6 +261,9 @@
/* The number of bytes in type long */
#undef SIZEOF_LONG
/* The number of bytes in type long long */
#undef SIZEOF_LONG_LONG
/* The number of bytes in type short */
#undef SIZEOF_SHORT

@ -9116,6 +9116,76 @@ cat >>confdefs.h <<_ACEOF
_ACEOF
echo "$as_me:$LINENO: checking size of long long" >&5
echo $ECHO_N "checking size of long long... $ECHO_C" >&6
if test "${ac_cv_sizeof_long_long+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
for ac_size in 4 8 1 2 16 ; do # List sizes in rough order of prevalence.
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include "confdefs.h"
#include <sys/types.h>
int
main ()
{
switch (0) case 0: case (sizeof (long long) == $ac_size):;
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_sizeof_long_long=$ac_size
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
if test x$ac_cv_sizeof_long_long != x ; then break; fi
done
fi
if test x$ac_cv_sizeof_long_long = x ; then
{ { echo "$as_me:$LINENO: error: cannot determine a size for long long" >&5
echo "$as_me: error: cannot determine a size for long long" >&2;}
{ (exit 1); exit 1; }; }
fi
echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_long" >&5
echo "${ECHO_T}$ac_cv_sizeof_long_long" >&6
cat >>confdefs.h <<_ACEOF
#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
_ACEOF
echo "$as_me:$LINENO: checking for bind in -lsocket" >&5
echo $ECHO_N "checking for bind in -lsocket... $ECHO_C" >&6
@ -11549,12 +11619,15 @@ _ACEOF
disable_gethostbyname_r="yes"
;;
openbsd3.3*)
openbsd*)
if test "$have_pthreads" = "yes"; then
LIBCLAMAV_LIBS="$LIBCLAMAV_LIBS -pthread"
if test "$disable_cr" = "yes"; then
CLAMD_LIBS="$CLAMD_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
else
CLAMD_LIBS="$CLAMD_LIBS -pthread -lc_r"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread -lc_r"
fi
TH_SAFE="-thread-safe"
@ -11575,16 +11648,11 @@ _ACEOF
disable_gethostbyname_r="yes"
;;
openbsd*)
bsdi*)
if test "$have_pthreads" = "yes"; then
LIBCLAMAV_LIBS="$LIBCLAMAV_LIBS -pthread"
if test "$disable_cr" = "yes"; then
CLAMD_LIBS="$CLAMD_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
else
CLAMD_LIBS="$CLAMD_LIBS -pthread -lc_r"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread -lc_r"
fi
CLAMD_LIBS="$CLAMD_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
TH_SAFE="-thread-safe"
cat >>confdefs.h <<\_ACEOF

@ -45,6 +45,7 @@ AC_TYPE_OFF_T
AC_COMPILE_CHECK_SIZEOF(short)
AC_COMPILE_CHECK_SIZEOF(int)
AC_COMPILE_CHECK_SIZEOF(long)
AC_COMPILE_CHECK_SIZEOF(long long)
AC_CHECK_LIB(socket, bind, [LIBS="$LIBS -lsocket"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -lsocket"; LDFLAGS="$LDFLAGS -lsocket"; FRESHCLAM_LIBS="$FRESHCLAM_LIBS -lsocket"; CLAMD_LIBS="$CLAMD_LIBS -lsocket"])
AC_CHECK_LIB(nsl, gethostent, [LIBS="$LIBS -lnsl"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -lnsl"; LDFLAGS="$LDFLAGS -lnsl"; FRESHCLAM_LIBS="$FRESHCLAM_LIBS -lnsl"; CLAMD_LIBS="$CLAMD_LIBS -lnsl"])
@ -355,35 +356,33 @@ freebsd*)
AC_DEFINE(C_BSD,1,[os is freebsd])
disable_gethostbyname_r="yes"
;;
openbsd3.3*)
openbsd*)
if test "$have_pthreads" = "yes"; then
LIBCLAMAV_LIBS="$LIBCLAMAV_LIBS -pthread"
if test "$disable_cr" = "yes"; then
CLAMD_LIBS="$CLAMD_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
else
CLAMD_LIBS="$CLAMD_LIBS -pthread -lc_r"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread -lc_r"
fi
TH_SAFE="-thread-safe"
AC_DEFINE(CL_THREAD_SAFE,1,[thread safe])
AC_DEFINE(_REENTRANT,1,[thread safe])
fi
AC_DEFINE(C_BSD,1,[os is bsd flavor])
AC_DEFINE(C_BSD,1,[os is OpenBSD])
disable_gethostbyname_r="yes"
;;
openbsd*)
bsdi*)
if test "$have_pthreads" = "yes"; then
LIBCLAMAV_LIBS="$LIBCLAMAV_LIBS -pthread"
if test "$disable_cr" = "yes"; then
CLAMD_LIBS="$CLAMD_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
else
CLAMD_LIBS="$CLAMD_LIBS -pthread -lc_r"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread -lc_r"
fi
CLAMD_LIBS="$CLAMD_LIBS -pthread"
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -pthread"
TH_SAFE="-thread-safe"
AC_DEFINE(CL_THREAD_SAFE,1,[thread safe])
AC_DEFINE(_REENTRANT,1,[thread safe])
fi
AC_DEFINE(C_BSD,1,[os is bsd flavor])
AC_DEFINE(C_BSD,1,[os is BSDI BSD/OS])
disable_gethostbyname_r="yes"
;;
netbsd*)
@ -395,7 +394,7 @@ netbsd*)
AC_DEFINE(_REENTRANT,1,[thread safe])
ADDITIONAL_LIBS="$LIBS -lpthread"
fi
AC_DEFINE(C_BSD,1,[os is bsd flavor])
AC_DEFINE(C_BSD,1,[os is NetBSD])
disable_gethostbyname_r="yes"
;;
bsd*)

@ -1,4 +1,4 @@
# Makefile.in generated by automake 1.8.3 from Makefile.am.
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
@ -387,7 +387,7 @@ clean-libLTLIBRARIES:
-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
test "$$dir" = "$$p" && dir=.; \
test "$$dir" != "$$p" || dir=.; \
echo "rm -f \"$${dir}/so_locations\""; \
rm -f "$${dir}/so_locations"; \
done
@ -830,9 +830,11 @@ TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(ETAGS_ARGS)$$tags$$unique" \
|| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)

@ -44,6 +44,7 @@
#include "others.h"
#include "mspack/mspack.h"
#include "mspack/lzx.h"
#include "cltypes.h"
#define FALSE (0)
#define TRUE (1)

@ -51,6 +51,16 @@
# error unable to typedef int32_t from either int or long
typedef unsigned long uint32_t; typedef signed long int32_t;
# endif
# if SIZEOF_LONG == 8
typedef unsigned long uint64_t; typedef signed long int64_t;
# elif SIZEOF_LONG_LONG == 8
typedef unsigned long long uint64_t; typedef signed long long int64_t;
# else
# error unable to typedef int64_t from either long or long long
typedef unsigned long long uint64_t; typedef signed long long int64_t;
# endif
#endif
/*

Loading…
Cancel
Save